Subject: [stir] Benjamin Kaduk's No Objection on draft-ietf-stir-rph-03: (with COMMENT)

From: Benjamin Kaduk <[email-masked]>
Date: Wed, 18 Apr 2018 18:44:51 -0700

Benjamin Kaduk has entered the following ballot position for
draft-ietf-stir-rph-03: No Objection

When responding, please keep the subject line intact and reply to all
email addresses included in the To and CC lines. (Feel free to cut this
introductory paragraph, however.)

Please refer to https://www.ietf.org/iesg/statement/discuss-criteria.html
for more information about IESG DISCUSS and COMMENT positions.

The document, along with other ballot positions, can be found here:
https://datatracker.ietf.org/doc/draft-ietf-stir-rph/

----------------------------------------------------------------------
COMMENT:
----------------------------------------------------------------------

I support Ben's discuss.

Thank you for working with the secdir reviewer to address those
comments; I think it will really improve the document.

In a similar vein, I wonder if this document would be easier to read
if it used less formal description terms for protocol elements that
are currently referred to by using the actual protocol element (with
quotes around the name).  For example, "SIP resource priority
header" instead of "'Resource-Priority' header field", or "priority
indicator" instead of "'namespace"."priority value"'.

I'm a little confused why the new registry created in Section 6.2 is
tied to the "resource priority header" (rph) name, when the discussion
in Section 5 has some potential envisioned use cases that are
broader than resource priority.

As Ben notes, there are some stale references.  Please double-check
the referred section numbers as well; in particular "Section 10.1 of
[4474bis]" does not exist in the only February-2017 verions of that
draft.

Section 7.2 uses "authority" in a couple of different senses; it
might be easier on the reader to refer to the authority (protocol
participant) as being "authoritative for the content of [stuff] that
it signs".

---

From: "Das, Subir" <[email-masked]>
Date: Thu, 19 Apr 2018 18:16:47 +0000

Hello Benjamin,
Thanks for your review and comments. Please see the answers inline. 

Regards,
-Subir 

-----Original Message-----
From: Benjamin Kaduk <[email-masked]> 
Sent: Wednesday, April 18, 2018 9:45 PM
To: The IESG <[email-masked]>
Cc: [email-masked]; Russ Housley <[email-masked]>; [email-masked]; [email-masked]; [email-masked]
Subject: Benjamin Kaduk's No Objection on draft-ietf-stir-rph-03: (with COMMENT)

When responding, please keep the subject line intact and reply to all email addresses included in the To and CC lines. (Feel free to cut this introductory paragraph, however.)

I support Ben's discuss.

Thank you for working with the secdir reviewer to address those comments; I think it will really improve the document.

SD>Thanks. 

In a similar vein, I wonder if this document would be easier to read if it used less formal description terms for protocol elements that are currently referred to by using the actual protocol element (with quotes around the name).  For example, "SIP resource priority header" instead of "'Resource-Priority' header field", or "priority indicator" instead of "'namespace"."priority value"'.

SD> We can update like this but earlier recommendation was to be consistent with RFC 4412 and we followed that. 

I'm a little confused why the new registry created in Section 6.2 is tied to the "resource priority header" (rph) name, when the discussion in Section 5 has some potential envisioned use cases that are broader than resource priority.

SD> . You are correct that Section 5 leaves the possibility of adding new value but when defined, this will be a new  type and will be registered under the same ppt value 'rph'.   For use cases other than resource priority, a new 'ppt' needs to be defined.   We will make it clear in Section 5, 1st paragraph last sentence as follows:

" The specification of the "rph" claim could entail the optional presence of one or more such additional information fields applicable to 'Resource Priority'."

As Ben notes, there are some stale references.  Please double-check the referred section numbers as well; in particular "Section 10.1 of [4474bis]" does not exist in the only February-2017 verions of that draft.

Section 7.2 uses "authority" in a couple of different senses; it might be easier on the reader to refer to the authority (protocol
participant) as being "authoritative for the content of [stuff] that it signs".

SD>  How about the following? 

The use of extension to PASSporT tokens with "ppt" value "rph" based on the validation of the digital signature and the associated certificate requires consideration of the authentication, authorization, and  reputation of the signer to attest to the identity being asserted. The following considerations should be recognized when using PASSporT extension with "ppt" value of "rph":

o A signer is only allowed to sign the content of a 'SIP Resource-Priority’ header field for which it has the right authority.  The signer  that signs the token MUST have a secure method for authentication of the end user or the device.

---

From: Benjamin Kaduk <[email-masked]>
Date: Thu, 19 Apr 2018 19:31:27 -0500

> https://datatracker.ietf.org/doc/draft-ietf-stir-rph/

Ah, I see.  (I will confess that the "namespace"."priority value"
was the one that confused me the most when I first saw it;
'Resource-Priority' header did not bother me too much.  But there is
no need to change anything just on my personal experience.)

> " The specification of the "rph" claim could entail the optional presence of one or more such additional information fields applicable to 'Resource Priority'."

Okay, thanks.

> The use of extension to PASSporT tokens with "ppt" value "rph"
> based on the validation of the digital signature and the
> associated certificate requires consideration of the
> authentication, authorization, and  reputation of the signer to
> attest to the identity being asserted. The following
> considerations should be recognized when using PASSporT extension
> with "ppt" value of "rph":
> 
> o A signer is only allowed to sign the content of a 'SIP
> Resource-Priority’ header field for which it has the right
> authority.  The signer  that signs the token MUST have a secure
> method for authentication of the end user or the device.

Maybe

Using extensions to PASSporT tokens with a "ppt" value of "rph"
requires knowledge of the authentication, authorization, and
reputation of the signer to attest to the identity being asserted,
including validating the digital signature and the associated
certificate chain to a trust anchor, The following considerations
should be recognized when using PASSporT extensions with a "ppt" value
of "rph":

o A signer is only allowed to sign the content of a SIP
'Resource-Priority’ header field for which it has the proper
authorization.  Before signing tokens, the signer MUST have a secure
method for authentication of the end user or the device being
granted a token.

-Benjamin

---

From: "Das, Subir" <[email-masked]>
Date: Fri, 20 Apr 2018 01:08:38 +0000

Benjamin,
Your suggested text regarding 7.2  is okay with me.   

I forgot to  answer one of your earlier comments. 

> As Ben notes, there are some stale references.  Please double-check the referred section numbers as well; in particular "Section 10.1 of [4474bis]" does not exist in the only February-2017 verions…

SD> Will check and update it accordingly. 

Thanks,
-Subir 

-----Original Message-----
From: Benjamin Kaduk <[email-masked]> 
Sent: Thursday, April 19, 2018 8:31 PM
To: Das, Subir <[email-masked]>
Cc: The IESG <[email-masked]>; [email-masked]; Russ Housley <[email-masked]>; [email-masked]; [email-masked]
Subject: Re: Benjamin Kaduk's No Objection on draft-ietf-stir-rph-03: (with COMMENT)

On Thu, Apr 19, 2018 at 06:16:47PM +0000, Das, Subir wrote:
> Cc: [email-masked]; Russ Housley 
> <[email-masked]>; [email-masked]; [email-masked]; 
> [email-masked]
> email addresses included in the To and CC lines. (Feel free to cut 
> this introductory paragraph, however.)
> 
> 
> Please refer to 
> https://www.ietf.org/iesg/statement/discuss-criteria.html

Ah, I see.  (I will confess that the "namespace"."priority value"
was the one that confused me the most when I first saw it; 'Resource-Priority' header did not bother me too much.  But there is no need to change anything just on my personal experience.)

Okay, thanks.

> Section 7.2 uses "authority" in a couple of different senses; it might 
> be easier on the reader to refer to the authority (protocol
> based on the validation of the digital signature and the associated 
> certificate requires consideration of the authentication, 
> authorization, and  reputation of the signer to attest to the identity 
> being asserted. The following considerations should be recognized when 
> using PASSporT extension with "ppt" value of "rph":
> 
> Resource-Priority’ header field for which it has the right authority.  
> The signer  that signs the token MUST have a secure method for 
> authentication of the end user or the device.

Maybe

Using extensions to PASSporT tokens with a "ppt" value of "rph"
requires knowledge of the authentication, authorization, and reputation of the signer to attest to the identity being asserted, including validating the digital signature and the associated certificate chain to a trust anchor, The following considerations should be recognized when using PASSporT extensions with a "ppt" value of "rph":

o A signer is only allowed to sign the content of a SIP 'Resource-Priority’ header field for which it has the proper authorization.  Before signing tokens, the signer MUST have a secure method for authentication of the end user or the device being granted a token.

-Benjamin